package eu.univento.teamvento.generator;

import org.bukkit.World;
import org.bukkit.WorldCreator;
import org.bukkit.WorldType;

/**
 * @author joethei
 * @version 0.1
 */
public class GeneratorManager {

    public static WorldCreator getWorldCreator(String name, String generator) {
        WorldCreator creator = new WorldCreator(name);
        if(generator.equals("normal")) {
            creator.environment(World.Environment.NORMAL);
            creator.type(WorldType.NORMAL);
        }
        if(generator.equals("flat")) {
            creator.environment(World.Environment.NORMAL);
            creator.type(WorldType.FLAT);
            creator.generateStructures(false);
        }
        if(generator.equals("void")) {
            creator.generator(new VoidGenerator());
            creator.type(WorldType.CUSTOMIZED);
            creator.generateStructures(false);
        }else return null;
        return creator;
    }
}